# $Id: test.pl,v 1.2 1998/11/23 15:59:41 dplonka Exp $

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..5\n"; }
END {print "not ok 1\n" unless $loaded;}
use NetTree;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$tree = new NetTree '10.0.0.0/8';
%collisions = $tree->add('10.0.0.0/24', 'my subnet');
%collisions = $tree->add('10.0.1.0/24', 'my subnet too');
$tree->prune;
@available = $tree->available;
if ((join("\n", @available) . "\n") ne <<_EOF_) {
10.0.2.0/23
10.0.4.0/22
10.0.8.0/21
10.0.16.0/20
10.0.32.0/19
10.0.64.0/18
10.0.128.0/17
10.1.0.0/16
10.2.0.0/15
10.4.0.0/14
10.8.0.0/13
10.16.0.0/12
10.32.0.0/11
10.64.0.0/10
10.128.0.0/9
_EOF_
   print "not "
}
print "ok 2\n";

%unavailable = $tree->unavailable;
if ($unavailable{'10.0.0.0/24'} ne 'my subnet' ||
    $unavailable{'10.0.1.0/24'} ne 'my subnet too') {
   print "not "
}
print "ok 3\n";

print "not " if ('00001010' ne octets2bits('10.0.0.0/8'));
print "ok 4\n";

print "not " if ('10.0.0.0/8' ne scalar(bits2octets(octets2bits('10.0.0.0/8'))));
print "ok 5\n";
